DROP TABLE CRST_CE_STMT_RECONCILS_ALL;

CREATE TABLE CRST_CE_STMT_RECONCILS_ALL
(
  STATEMENT_LINE_ID       NUMBER(15)            NOT NULL,
  REFERENCE_TYPE          VARCHAR2(30)          NOT NULL,
  REFERENCE_ID            NUMBER(15)            NOT NULL,
  CREATED_BY              NUMBER(15)            NOT NULL,
  CREATION_DATE           DATE                  NOT NULL,
  LAST_UPDATED_BY         NUMBER(15)            NOT NULL,
  LAST_UPDATE_DATE        DATE                  NOT NULL,
  JE_HEADER_ID            NUMBER(15),
  ORG_ID                  NUMBER(15),            
  REFERENCE_STATUS        VARCHAR2(30),
  STATUS_FLAG             VARCHAR2(1),
  ACTION_FLAG             VARCHAR2(1),
  CURRENT_RECORD_FLAG     VARCHAR2(1),
  AUTO_RECONCILED_FLAG    VARCHAR2(1),
  AMOUNT                  NUMBER,
  REQUEST_ID              NUMBER(15),
  PROGRAM_APPLICATION_ID  NUMBER(15),
  PROGRAM_ID              NUMBER(15),
  PROGRAM_UPDATE_DATE     DATE
);